<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: GamePlay</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: GamePlay</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>GamePlay<span class="signature">()</span><span class="type-signature"></span></h2>
        
            <div class="class-description">Class representant le jeu</div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="GamePlay"><span class="type-signature"></span>new GamePlay<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="gameplay.js.html">gameplay.js</a>, <a href="gameplay.js.html#line17">line 17</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id="round"><span class="type-signature"></span>round<span class="type-signature"></span></h4>




<div class="description">
    Création du jeu

round - tour

this.players - Les joueursu
this.weapons - Les armes
this.bordGame - la map
this.initPlacePlayer(); - methode qui place les joueur au début du jeu
this.initPlaceWeapon(); - methode qui place les armes au début du jeu
this.whoBegin(); - methode aui définit quel joueur commence le jeu
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="gameplay.js.html">gameplay.js</a>, <a href="gameplay.js.html#line16">line 16</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="defend"><span class="type-signature"></span>defend<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    defend

Methode qui définit si le joueur se défend
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="gameplay.js.html">gameplay.js</a>, <a href="gameplay.js.html#line235">line 235</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="endGame"><span class="type-signature"></span>endGame<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    endGame

Methode qui finit le jeu
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="gameplay.js.html">gameplay.js</a>, <a href="gameplay.js.html#line246">line 246</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="fight"><span class="type-signature"></span>fight<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    fight

Methode qui définit le combat (perte point de vie après un combat et après une défense)
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="gameplay.js.html">gameplay.js</a>, <a href="gameplay.js.html#line213">line 213</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="initPlacePlayer"><span class="type-signature"></span>initPlacePlayer<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    initPlacePlayer

Methode qui place les joueurs au début du jeu de façon aléatoire
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="gameplay.js.html">gameplay.js</a>, <a href="gameplay.js.html#line54">line 54</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="initPlaceWeapon"><span class="type-signature"></span>initPlaceWeapon<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    initPlaceWeapon

Methode qui place les armes au début du jeu de façon aléatoire
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="gameplay.js.html">gameplay.js</a>, <a href="gameplay.js.html#line41">line 41</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="movePlayer"><span class="type-signature"></span>movePlayer<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    initPlacePlayer

Methode qui déplace les joueurs
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="gameplay.js.html">gameplay.js</a>, <a href="gameplay.js.html#line73">line 73</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="nextRound"><span class="type-signature"></span>nextRound<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    nextRound

Methode qui défini le prochain joueur à pouvoir jouer
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="gameplay.js.html">gameplay.js</a>, <a href="gameplay.js.html#line150">line 150</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="startFight"><span class="type-signature"></span>startFight<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    startFight

Methode qui démarre le combat (si les 2 joueurs sont côte à côte)
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="gameplay.js.html">gameplay.js</a>, <a href="gameplay.js.html#line183">line 183</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="whoBegin"><span class="type-signature"></span>whoBegin<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    whoBegin

Methode qui défini quel joueur commence le jeu (au hasard)
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="gameplay.js.html">gameplay.js</a>, <a href="gameplay.js.html#line123">line 123</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="Cellule.html">Cellule</a></li><li><a href="GameBoard.html">GameBoard</a></li><li><a href="GamePlay.html">GamePlay</a></li><li><a href="Players.html">Players</a></li><li><a href="Weapons.html">Weapons</a></li></ul><h3>Global</h3><ul><li><a href="global.html#gameplay">gameplay</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.4</a> on Thu Jul 09 2020 11:31:47 GMT+0200 (GMT+02:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>